AntiFeatures:
  - NonFreeNet
Categories:
  - Reading
  - Science & Education
License: MIT
AuthorName: sakusaku3939
AuthorEmail: yuukiyuuki223@gmail.com
AuthorWebSite: https://portfolio.sakusaku3939.com
SourceCode: https://github.com/sakusaku3939/DeepLAndroid
IssueTracker: https://github.com/sakusaku3939/DeepLAndroid/issues

AutoName: DeepL

RepoType: git
Repo: https://github.com/sakusaku3939/DeepLAndroid

Builds:
  - versionName: '3.3'
    versionCode: 9
    commit: v3.3.1
    subdir: app
    gradle:
      - yes

  - versionName: '3.4'
    versionCode: 10
    commit: v3.4
    subdir: app
    gradle:
      - yes

  - versionName: '3.5'
    versionCode: 11
    commit: v3.5
    subdir: app
    gradle:
      - yes

  - versionName: '4.0'
    versionCode: 12
    commit: 901e9e943baf1800b40846275fc86002131b2a2b
    subdir: app
    gradle:
      - yes

  - versionName: '4.0'
    versionCode: 13
    commit: 2f605ccda87c65042866906780f1363ee04bb88b
    subdir: app
    gradle:
      - yes

  - versionName: '4.1'
    versionCode: 14
    commit: 5b4bd818b27a5455bbcb4ac6e6fb8ec1f0ff8399
    subdir: app
    gradle:
      - yes

  - versionName: '4.2'
    versionCode: 15
    commit: aa4f367c039e53999b61089fd05e693965b24759
    subdir: app
    gradle:
      - yes

  - versionName: '4.3'
    versionCode: 16
    commit: 7870daa1df9df4ced1b993b43150b65d2128e7f7
    subdir: app
    gradle:
      - yes

  - versionName: '5.0'
    versionCode: 17
    commit: fe9ee6b44a711124f292691e3ab27258beba0184
    subdir: app
    gradle:
      - yes

  - versionName: '6.0'
    versionCode: 18
    commit: 15eee1098f3ca9ccfeece653f95a939a76fd7bb0
    subdir: app
    gradle:
      - yes

  - versionName: '6.1'
    versionCode: 19
    commit: 140450c46f0a5bedbe4c43aa928a9520b5fbea0d
    subdir: app
    gradle:
      - yes

  - versionName: '6.2'
    versionCode: 20
    commit: 3efc50997eb40652f9e1aa9873f8c7b964766e14
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '6.3'
    versionCode: 21
    commit: 134ca45ea35e45cf3e7b5ba4e63f2fc3b80c8f90
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '6.4'
    versionCode: 22
    commit: 6d149f1fe83af011fd48a8120de4e83229cbce64
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '7.0'
    versionCode: 24
    commit: f5f6c87c9e6195e785a16dfe5cd2e7a6a3a0d5b8
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '7.1'
    versionCode: 25
    commit: 622b84f02f7978530cd879d3af2359d40d27c91f
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '7.2'
    versionCode: 26
    commit: edc666ea5fb9b133087495cfa912bc5071327885
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '7.3'
    versionCode: 27
    commit: 81d7bc464b1271d8638a7bf932a9722c089a22f6
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '7.4'
    versionCode: 28
    commit: b9705e40fb8c6a2353a29a6393230e2417d94806
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '7.5'
    versionCode: 29
    commit: e28cf4b45412d5789c0096d8334d8ae2f93af74c
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: '7.5'
CurrentVersionCode: 29
